Difference between revisions of "This page"

From medicin.ncmm.IT
Jump to: navigation, search
(List of modules maintained in our production Python versions)
(List installed versions of h5py, kipoi, macs2, numba, pymongo, requests in rh-python38 SCL)
 
(33 intermediate revisions by 2 users not shown)
Line 2: Line 2:
 
== '''List of modules maintained in our production Python versions''' ==
 
== '''List of modules maintained in our production Python versions''' ==
  
The following table provides a list of all supported/maintained Python module versions, per Python version. The table concerns the biotin{2,3}.hpc.uio.no production servers.  
+
The following table provides a list of all supported/maintained Python module versions, per Python version. The table concerns the '''biotin{2,3}.hpc.uio.no''' production servers. Please use these production Python versions for your research. If you need to install a module in one of those versions, ask the NCMM IT team to do it for you. 
{| class="wikitable"
+
 
 +
'''Note: Python 2.7.x modules will have limited support from Dec 31st 2019, as Python 2.7.x will reach the end of its support life (EOL) as [https://pythonclock.org/ outlined here]. It is therefore important that you start using Python 3 now.''' 
 +
{| class="wikitable sortable"
 
!Library/module
 
!Library/module
 
!Python 2.7.5
 
!Python 2.7.5
!Python 3.5.1
+
!Python 3.5.1<syntaxhighlight lang="shell">
!Python 3.6.3
+
scl enable rh-python35 bash
 +
</syntaxhighlight>
 +
!Python 3.6.9<syntaxhighlight lang="shell">
 +
scl enable rh-python36 bash
 +
</syntaxhighlight>
 +
!Python 3.8.0<syntaxhighlight lang="shell">
 +
scl enable rh-python38 bash
 +
</syntaxhighlight>
 
|-
 
|-
 
|[https://cython.org/ cython]
 
|[https://cython.org/ cython]
Line 13: Line 22:
 
|0.25.2
 
|0.25.2
 
|0.29.13
 
|0.29.13
 +
|0.29.21
 
|-
 
|-
 
|[https://www.numpy.org/ numpy]
 
|[https://www.numpy.org/ numpy]
Line 18: Line 28:
 
|1.14.0
 
|1.14.0
 
|1.17.0
 
|1.17.0
 +
|1.19.2
 
|-
 
|-
 
|[https://www.scipy.org/ scipy]
 
|[https://www.scipy.org/ scipy]
Line 23: Line 34:
 
|1.0.0
 
|1.0.0
 
|1.3.0
 
|1.3.0
 +
|1.5.2
 
|-
 
|-
 
|[https://matplotlib.org/ matplotlib]
 
|[https://matplotlib.org/ matplotlib]
Line 28: Line 40:
 
|2.0.2
 
|2.0.2
 
|3.1.1
 
|3.1.1
 +
|3.3.2
 
|-
 
|-
|pandas
+
|[https://pandas.pydata.org/ pandas]
 
|0.22.0
 
|0.22.0
 
|0.20.2
 
|0.20.2
 
|0.25.0
 
|0.25.0
 +
|1.1.2
 
|-
 
|-
|biopython
+
|[https://biopython.org/ biopython]
 
|1.71
 
|1.71
 
|1.69
 
|1.69
 
|1.74
 
|1.74
 +
|1.78
 
|-
 
|-
|intervene
+
|[https://www.h5py.org/ h5py]
 +
| -
 +
| -
 +
|2.10.0
 +
|3.0.0
 +
|-
 +
|[https://intervene.readthedocs.io/en/latest/ intervene]
 
|0.6.2
 
|0.6.2
 
|0.6.2
 
|0.6.2
 
|0.6.4
 
|0.6.4
 +
|<nowiki>-</nowiki>
 +
|-
 +
|[https://joblib.readthedocs.io/en/latest/ joblib]
 +
| -
 +
| -
 +
|0.14.0
 +
|0.16.0
 
|-
 
|-
|kipoi
+
|[https://kipoi.org/about/ kipoi]
 
|<nowiki>-</nowiki>
 
|<nowiki>-</nowiki>
 
|0.2.9
 
|0.2.9
 
| -
 
| -
 +
|0.6.29
 
|-
 
|-
|macs2
+
|[https://github.com/taoliu/MACS macs2]
 
|2.1.1
 
|2.1.1
 
| -
 
| -
 
| -
 
| -
 +
|2.2.7.1
 
|-
 
|-
|patsy
+
|[http://numba.pydata.org/ numba]
 +
| -
 +
| -
 +
|0.48.0
 +
|0.51.2
 +
|-
 +
|[https://pypi.org/project/patsy/ patsy]
 
|0.4.0
 
|0.4.0
 
|0.4.1
 
|0.4.1
 +
|0.5.1
 
|0.5.1
 
|0.5.1
 
|-
 
|-
|python-dateutil
+
|[https://pypi.org/project/python-dateutil/1.4/ python-dateutil]
|
 
|
 
 
|1.11.0
 
|1.11.0
 +
|1.11.0
 +
|1.11.0
 +
|2.8.1
 
|-
 
|-
|pymongo
+
|[https://pypi.org/project/pymongo/ pymongo]
 
|3.5.1
 
|3.5.1
 
|3.5.0
 
|3.5.0
 
|3.5.1
 
|3.5.1
 +
|3.11.0
 
|-
 
|-
|pyparsing
+
|[https://pypi.org/project/pyparsing/ pyparsing]
|
+
|2.2.0
|
 
 
|2.4.2
 
|2.4.2
 +
|2.4.2
 +
|2.4.7
 
|-
 
|-
|pysam
+
|[https://pypi.org/project/pysam/ pysam]
 
|0.8.3
 
|0.8.3
 
|0.12.0
 
|0.12.0
 
|0.15.3
 
|0.15.3
 +
|0.16.0.1
 
|-
 
|-
|pybedtools
+
|[https://pytorch.org/ pytorch]
 +
| -
 +
| -
 +
|1.2.0
 +
|1.8.0a0 (as of 2020-10-17)
 +
|-
 +
|[https://pypi.org/project/pybedtools/ pybedtools]
 
|0.7.9
 
|0.7.9
 
|0.7.9
 
|0.7.9
 
|0.8.0
 
|0.8.0
 +
|0.8.1
 
|-
 
|-
|pybigwig
+
|[https://pypi.org/project/pyBigWig/ pybigwig]
 
|<nowiki>-</nowiki>
 
|<nowiki>-</nowiki>
 
|0.3.4
 
|0.3.4
 +
|0.3.17
 
|0.3.17
 
|0.3.17
 
|-
 
|-
|rpy2
+
|[https://pypi.org/project/requests/ requests]
 +
| 2.6.0
 +
|2.22.0
 +
|2.22.0
 +
|2.24.0
 +
|-
 +
|[https://pypi.org/project/rpy2/ rpy2]
 
|2.7.3
 
|2.7.3
|
+
|3.0.4
 
|3.0.5
 
|3.0.5
 +
|3.3.5 (built with R/4.0.2)
 
|-
 
|-
|snakemake
+
|[https://scikit-learn.org/stable/ scikit-learn]
 +
| 0.17.1
 +
| -
 +
|0.21.3
 +
|0.23.2
 +
|-
 +
|[https://pypi.org/project/snakemake/ snakemake]
 
|<nowiki>-</nowiki>
 
|<nowiki>-</nowiki>
 
|5.5.4
 
|5.5.4
 
|5.5.4
 
|5.5.4
 +
|5.25.0
 
|-
 
|-
|deepTools
+
|[https://pypi.org/project/deepTools/ deepTools]
 
|2.4.0_2
 
|2.4.0_2
 
|2.5.3_2
 
|2.5.3_2
 
|3.3.0
 
|3.3.0
 +
|3.5.0
 
|-
 
|-
|htseq
+
|[https://pypi.org/project/HTSeq/ htseq]
 
|0.6.1
 
|0.6.1
 
|0.8.0
 
|0.8.0
 
|0.11.2
 
|0.11.2
 +
|0.12.4
 
|-
 
|-
|seaborn
+
|[https://pypi.org/project/seaborn/ seaborn]
|
+
|0.8.1
 
|0.8.0
 
|0.8.0
 
|0.9.0
 
|0.9.0
 +
|0.11.0
 +
|-
 +
|[https://pypi.org/project/seqlogo/ seqlogo]
 +
| -
 +
| -
 +
| -
 +
|5.29.8
 
|-
 
|-
|statsmodels
+
|[https://pypi.org/project/statsmodels/ statsmodels]
 
|0.6.1
 
|0.6.1
 
|0.8.0
 
|0.8.0
 
|0.10.1
 
|0.10.1
 +
|0.12.0
 
|-
 
|-
|xgboost
+
|[https://xgboost.readthedocs.io/en/latest/python/python_intro.html xgboost]
 
|0.71
 
|0.71
 
|0.60
 
|0.60
 
|0.90
 
|0.90
 +
|1.3.0 SNAPSHOT (as of 2020-10-20)
 +
|-
 +
|[https://pypi.org/project/XlsxWriter/ xlsxwriter]
 +
| -
 +
|1.2.7
 +
|1.2.7
 +
|1.3.7
 
|}
 
|}

Latest revision as of 11:44, 10 November 2020

List of modules maintained in our production Python versions

The following table provides a list of all supported/maintained Python module versions, per Python version. The table concerns the biotin{2,3}.hpc.uio.no production servers. Please use these production Python versions for your research. If you need to install a module in one of those versions, ask the NCMM IT team to do it for you.

Note: Python 2.7.x modules will have limited support from Dec 31st 2019, as Python 2.7.x will reach the end of its support life (EOL) as outlined here. It is therefore important that you start using Python 3 now.

Library/module Python 2.7.5 Python 3.5.1
scl enable rh-python35 bash
Python 3.6.9
scl enable rh-python36 bash
Python 3.8.0
scl enable rh-python38 bash
cython 0.23.4 0.25.2 0.29.13 0.29.21
numpy 1.14.2 1.14.0 1.17.0 1.19.2
scipy 1.0.1 1.0.0 1.3.0 1.5.2
matplotlib 2.2.2 2.0.2 3.1.1 3.3.2
pandas 0.22.0 0.20.2 0.25.0 1.1.2
biopython 1.71 1.69 1.74 1.78
h5py - - 2.10.0 3.0.0
intervene 0.6.2 0.6.2 0.6.4 -
joblib - - 0.14.0 0.16.0
kipoi - 0.2.9 - 0.6.29
macs2 2.1.1 - - 2.2.7.1
numba - - 0.48.0 0.51.2
patsy 0.4.0 0.4.1 0.5.1 0.5.1
python-dateutil 1.11.0 1.11.0 1.11.0 2.8.1
pymongo 3.5.1 3.5.0 3.5.1 3.11.0
pyparsing 2.2.0 2.4.2 2.4.2 2.4.7
pysam 0.8.3 0.12.0 0.15.3 0.16.0.1
pytorch - - 1.2.0 1.8.0a0 (as of 2020-10-17)
pybedtools 0.7.9 0.7.9 0.8.0 0.8.1
pybigwig - 0.3.4 0.3.17 0.3.17
requests 2.6.0 2.22.0 2.22.0 2.24.0
rpy2 2.7.3 3.0.4 3.0.5 3.3.5 (built with R/4.0.2)
scikit-learn 0.17.1 - 0.21.3 0.23.2
snakemake - 5.5.4 5.5.4 5.25.0
deepTools 2.4.0_2 2.5.3_2 3.3.0 3.5.0
htseq 0.6.1 0.8.0 0.11.2 0.12.4
seaborn 0.8.1 0.8.0 0.9.0 0.11.0
seqlogo - - - 5.29.8
statsmodels 0.6.1 0.8.0 0.10.1 0.12.0
xgboost 0.71 0.60 0.90 1.3.0 SNAPSHOT (as of 2020-10-20)
xlsxwriter - 1.2.7 1.2.7 1.3.7